Subject: bug#64355: 29.0.91; Should there be a command to delete a register?

From: Drew Adams <[email-masked]>
Date: Thu, 29 Jun 2023 19:45:06 +0000

There has never been such a command, and you can simply set an existing
register to a new value, so arguably there's no need for a delete
command.  But it might be clearer for users if they could explicitly
delete a register, so it didn't show up in preview lists etc.

In GNU Emacs 29.0.91 (build 2, x86_64-w64-mingw32) of 2023-05-14 built
 on AVALON
Windowing system distributor 'Microsoft Corp.', version 10.0.19045
System Description: Microsoft Windows 10 Pro (v10.0.2009.19045.3086)

Configured using:
 'configure --with-modules --without-dbus --with-native-compilation
 --without-compress-install --with-tree-sitter CFLAGS=-O2'

Configured features:
ACL GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 LIBXML2 MODULES NATIVE_COMP
NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XPM ZLIB

(NATIVE_COMP present but libgccjit not available)